Bug 1032177 - Filtering by Evaluation process fails
Filtering by Evaluation process fails
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
All All
medium Severity medium
: ER6
: 6.0.0
Assigned To: David Gutierrez
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 11:37 EST by Roger Martínez
Modified: 2014-08-06 16:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roger Martínez 2013-11-19 11:37:32 EST
Description of problem:

When filtering in the jbpm-dashboard main page by Evaluation process, an exception is thrown and the kpi "process instances by status" is not displayed.


Version-Release number of selected component (if applicable):

6.0.0.Final

How reproducible:



Steps to Reproduce:

1. Login into bpms as pzapata
2. Start some process instances for both HR and Evaluation processes
3. Navigate to Dashboards -> Process & Tasks dashboard
4. The first kpi shown is "Instances by process". Click on the chart displayer area for  Evaluation process instances.
5. The application drill-down to another page, but when trying to load the kpi "process instances by status" a nullpointer exception is thrown.

Actual results:

This is the exception: 

17:29:40,295 ERROR [org.jboss.dashboard.error.ErrorManager] (http-/127.0.0.1:8080-2) UNEXPECTED ERROR.
Thread id=http-/127.0.0.1:8080-2
Thread begin date=Tue Nov 19 17:29:31 CET 2013
Thread group=main
Request URL=/dashbuilder/Controller?csrf=77168129
Request IP=127.0.0.1
Request date=Tue Nov 19 17:29:31 CET 2013
Request header:user-agent=Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/29.0.1547.65 Safari/537.36
Request header:referer=http://localhost:8080/dashbuilder/Controller?csrf=54381482
Request header:cookie=JSESSIONID=PA2rM9hQyzHw0QDSe3CSYMZW; dashbuilderNavigationPoint=en-1r6-2; seraph.confluence=12943361%3A5e357536686b83d7026aab7ecbb45d0429617d8b; JSESSIONID=75A2A9D479FD0BB729FFC67ED5DB928D; confluence-sidebar.width=285; JSESSIONIDSSO=PR2s-y6G-jGbSecBrDVyfqn3; region_left_web_2_0_cookie=1
Request param:csrf=77168129
Tx id=554760011
Tx Isolation=2
Tx Auto commit=false
JSP=/envelopes/jbpmEnvelope/shared.jsp
JSP=/templates/content.jsp
JSP=regular_layout.jsp
JSP=/layouts/jbpmLayout/slider_menu.jsp
JSP=/section/render_simple_region.jsp
JSP=/panels/kpi/show.jsp
Bean name=org.jboss.dashboard.ui.components.KPIViewer
Bean scope=panelSession
JSP=/components/bam/kpi_view.jsp
Bean name=org.jboss.dashboard.ui.components.TableViewer_default
Bean scope=panelSession
JSP=/components/bam/displayer/table/table_viewer.jsp
JSP=../../../table/view.jsp
Formatter=org.jboss.dashboard.ui.formatters.DataSetTableFormatter
Formatter Scope=volatile
Formatter JSP=components/table/view.jsp
Error id=1384878580294
Error date=Tue Nov 19 17:29:40 CET 2013
Error stack trace=java.lang.NullPointerException
        at org.jboss.dashboard.domain.label.LabelInterval.getLabel(LabelInterval.java:63)
        at org.jboss.dashboard.domain.label.LabelInterval.getDescription(LabelInterval.java:72)
        at org.jboss.dashboard.domain.label.LabelInterval.toString(LabelInterval.java:97)
        at org.jboss.dashboard.provider.DataPropertyFormatterImpl.formatValue(DataPropertyFormatterImpl.java:107)
        at org.jboss.dashboard.provider.DataPropertyFormatterImpl.formatValue(DataPropertyFormatterImpl.java:88)
        at org.jboss.dashboard.ui.components.table.DataSetTableFormatter.formatCellValue(DataSetTableFormatter.java:44)
        at org.jboss.dashboard.ui.components.table.TableFormatter.service(TableFormatter.java:96)
        at org.jboss.dashboard.ui.taglib.formatter.FormatterTag$1.txFragment(FormatterTag.java:135)
        at org.jboss.dashboard.database.hibernate.HibernateTransaction.executeFragment(HibernateTransaction.java:254)
        at org.jboss.dashboard.database.hibernate.HibernateTxFragment.executeChild(HibernateTxFragment.java:194)
        at org.jboss.dashboard.database.hibernate.HibernateTxFragment.execute(HibernateTxFragment.java:168)
        at org.jboss.dashboard.ui.taglib.formatter.FormatterTag.doAfterBody(FormatterTag.java:127)
        at org.apache.jsp.components.table.view_jsp._jspService(view_jsp.java:1018)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832)
        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718)
        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655)
        at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:940)
        at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:607)
        at org.jboss.dashboard.ui.taglib.BaseTag.jspInclude(BaseTag.java:51)
        at org.jboss.dashboard.ui.taglib.JSPIncludeTag.doStartTag(JSPIncludeTag.java:48)
        at org.apache.jsp.components.bam.displayer.table.table_005fviewer_jsp._jspx_meth_mvc_005finclude_005f0(table_005fviewer_jsp.java:103)
        at org.apache.jsp.components.bam.displayer.table.table_005fviewer_jsp._jspService(table_005fviewer_jsp.java:73)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832)
        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718)
        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655)
        at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:940)
        at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:607)
        at org.jboss.dashboard.ui.taglib.BaseTag.jspInclude(BaseTag.java:51)
        at org.jboss.dashboard.ui.taglib.factory.UseComponentTag.doEndTag(UseComponentTag.java:46)
        at org.apache.jsp.components.bam.kpi_005fview_jsp._jspService(kpi_005fview_jsp.java:111)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832)
        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718)
        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655)
        at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:940)
        at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:607)
        at org.jboss.dashboard.ui.taglib.BaseTag.jspInclude(BaseTag.java:51)
        at org.jboss.dashboard.ui.taglib.factory.UseComponentTag.doEndTag(UseComponentTag.java:46)
        at org.apache.jsp.panels.kpi.show_jsp._jspx_meth_factory_005fuseComponent_005f0(show_jsp.java:85)
        at org.apache.jsp.panels.kpi.show_jsp._jspService(show_jsp.java:60)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832)
        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718)
        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655)
        at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:940)
        at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:607)
        at org.jboss.dashboard.ui.taglib.BaseTag.jspInclude(BaseTag.java:51)
        at org.jboss.dashboard.ui.taglib.JSPIncludeTag.doStartTag(JSPIncludeTag.java:48)
        at org.apache.jsp.section.render_005ftabbed_005fregion_jsp._jspService(render_005ftabbed_005fregion_jsp.java:1306)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832)
        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718)
        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655)
        at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:940)
        at org.apache.jsp.section.render_005fsimple_005fregion_jsp._jspService(render_005fsimple_005fregion_jsp.java:232)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832)
        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718)
        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655)
        at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:940)
        at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:607)
        at org.jboss.dashboard.ui.taglib.BaseTag.jspInclude(BaseTag.java:51)
        at org.jboss.dashboard.ui.taglib.RegionTag$1.txFragment(RegionTag.java:78)
        at org.jboss.dashboard.database.hibernate.HibernateTransaction.executeFragment(HibernateTransaction.java:254)
        at org.jboss.dashboard.database.hibernate.HibernateTxFragment.executeChild(HibernateTxFragment.java:194)
        at org.jboss.dashboard.database.hibernate.HibernateTxFragment.execute(HibernateTxFragment.java:168)
        at org.jboss.dashboard.ui.taglib.RegionTag.doEndTag(RegionTag.java:52)
        at org.apache.jsp.layouts.jbpmLayout.slider_005fmenu_jsp._jspx_meth_panel_005fregion_005f9(slider_005fmenu_jsp.java:618)
        at org.apache.jsp.layouts.jbpmLayout.slider_005fmenu_jsp._jspService(slider_005fmenu_jsp.java:369)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832)
        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718)
        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655)
        at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:940)
        at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:607)
        at org.jboss.dashboard.ui.taglib.BaseTag.jspInclude(BaseTag.java:51)
        at org.jboss.dashboard.ui.taglib.JSPIncludeTag.doStartTag(JSPIncludeTag.java:48)
        at org.apache.jsp.templates.regular_005flayout_jsp._jspService(regular_005flayout_jsp.java:157)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832)
        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718)
        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655)
        at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:940)
        at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:607)
        at org.jboss.dashboard.ui.taglib.BaseTag.jspInclude(BaseTag.java:51)
        at org.jboss.dashboard.ui.taglib.JSPIncludeTag.doStartTag(JSPIncludeTag.java:48)
        at org.apache.jsp.templates.content_jsp._jspx_meth_mvc_005finclude_005f0(content_jsp.java:115)
        at org.apache.jsp.templates.content_jsp._jspService(content_jsp.java:69)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832)
        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718)
        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655)
        at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:940)
        at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:607)
        at org.jboss.dashboard.ui.taglib.BaseTag.jspInclude(BaseTag.java:51)
        at org.jboss.dashboard.ui.taglib.EnvelopeContentTag$1.txFragment(EnvelopeContentTag.java:45)
        at org.jboss.dashboard.database.hibernate.HibernateTransaction.executeFragment(HibernateTransaction.java:254)
        at org.jboss.dashboard.database.hibernate.HibernateTxFragment.executeChild(HibernateTxFragment.java:194)
        at org.jboss.dashboard.database.hibernate.HibernateTxFragment.execute(HibernateTxFragment.java:168)
        at org.jboss.dashboard.ui.taglib.EnvelopeContentTag.doStartTag(EnvelopeContentTag.java:43)
        at org.apache.jsp.envelopes.jbpmEnvelope.shared_jsp._jspx_meth_panel_005fenvelopeContent_005f0(shared_jsp.java:260)
        at org.apache.jsp.envelopes.jbpmEnvelope.shared_jsp._jspService(shared_jsp.java:168)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832)
        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718)
        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655)
        at org.apache.jasper.runtime.JspRuntimeLibrary.include(JspRuntimeLibrary.java:940)
        at org.apache.jasper.runtime.PageContextImpl.include(PageContextImpl.java:607)
        at org.jboss.dashboard.ui.taglib.BaseTag.jspInclude(BaseTag.java:51)
        at org.jboss.dashboard.ui.taglib.JSPIncludeTag.doStartTag(JSPIncludeTag.java:48)
        at org.apache.jsp.templates.standard_005ftemplate_jsp._jspService(standard_005ftemplate_jsp.java:198)
        at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365)
        at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
        at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:832)
        at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:718)
        at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:655)
        at org.jboss.dashboard.ui.controller.responses.ShowScreenResponse.execute(ShowScreenResponse.java:45)
        at org.jboss.dashboard.ui.controller.requestChain.RequestRenderer.processRequest(RequestRenderer.java:31)
        at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:60)
        at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:62)
        at org.jboss.dashboard.ui.controller.requestChain.RequestChainProcessor.doRequestProcessing(RequestChainProcessor.java:62)
        at org.jboss.dashboard.ui.controller.ControllerServlet$4.txFragment(ControllerServlet.java:211)
        at org.jboss.dashboard.database.hibernate.HibernateTransaction.executeFragment(HibernateTransaction.java:254)
        at org.jboss.dashboard.database.hibernate.HibernateTxFragment.executeInitiator(HibernateTxFragment.java:179)
        at org.jboss.dashboard.database.hibernate.HibernateTxFragment.execute(HibernateTxFragment.java:167)
        at org.jboss.dashboard.ui.controller.ControllerServlet.processTheView(ControllerServlet.java:207)
        at org.jboss.dashboard.ui.controller.ControllerServlet$2.doWork(ControllerServlet.java:169)
        at org.jboss.dashboard.factory.Factory.runWork(Factory.java:295)
        at org.jboss.dashboard.factory.Factory.doWork(Factory.java:321)
        at org.jboss.dashboard.ui.controller.ControllerServlet.service(ControllerServlet.java:148)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149)
        at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:499)
        at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97)
        at org.apache.catalina.authenticator.SingleSignOn.invoke(SingleSignOn.java:408)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336)
        at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856)
        at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653)
        at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920)
        at java.lang.Thread.run(Thread.java:724)

Expected results:


Additional info:

NOTE that only fails when filtering for Evalutaion process. If filtering for HR process, the kpi does not fail.
Comment 3 Marek Baluch 2014-01-09 14:16:16 EST
Verified on ER7.

Note You need to log in before you can comment on or make changes to this bug.